## org.gnu.gtk
Class AnchorType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.AnchorType

public class AnchorType
extends Enum

Field Summary
`static AnchorType` `CENTER`
`static AnchorType` `EAST`
`static AnchorType` `NORTH`
`static AnchorType` `NORTH_EAST`
`static AnchorType` `NORTH_WEST`
`static AnchorType` `SOUTH`
`static AnchorType` `SOUTH_EAST`
`static AnchorType` `SOUTH_WEST`
`static AnchorType` `WEST`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`AnchorType` `and(AnchorType other)`
`static AnchorType` `intern(int value)`
`AnchorType` `or(AnchorType other)`
`boolean` `test(AnchorType other)`
`AnchorType` `xor(AnchorType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CENTER

    public static final AnchorType CENTER

### NORTH

    public static final AnchorType NORTH

### NORTH_WEST

    public static final AnchorType NORTH_WEST

### NORTH_EAST

    public static final AnchorType NORTH_EAST

### SOUTH

    public static final AnchorType SOUTH

### SOUTH_WEST

    public static final AnchorType SOUTH_WEST

### SOUTH_EAST

    public static final AnchorType SOUTH_EAST

### WEST

    public static final AnchorType WEST

### EAST

    public static final AnchorType EAST

Method Detail

### intern

    public static AnchorType intern(int value)

### or

    public AnchorType or(AnchorType other)

### and

    public AnchorType and(AnchorType other)

### xor

    public AnchorType xor(AnchorType other)

### test

    public boolean test(AnchorType other)